﻿Imports ACompany.OrderProcessing.Model
Imports System.Collections.ObjectModel

Public Interface ICreateOrderView
    Inherits IBaseView

    WriteOnly Property Customers() As List(Of Customer)
    WriteOnly Property SelectCustomerButtonEnabled() As Boolean
    WriteOnly Property Products() As List(Of Product)
    WriteOnly Property SelectProductButtonEnabled() As Boolean

    ReadOnly Property Order() As Order
    WriteOnly Property OrderItems() As ReadOnlyCollection(Of Item)
    WriteOnly Property CreateOrderButtonEnabled() As Boolean

    WriteOnly Property CustomerName() As String
    WriteOnly Property Street() As String
    WriteOnly Property City() As String
    WriteOnly Property County() As String
    WriteOnly Property PostCode() As String

    Sub clearOrder()

End Interface
