﻿<%@ Control Language="VB" AutoEventWireup="false" CodeFile="CustomerList.ascx.vb" Inherits="UserControls_Customer_CustomerList" %>

<asp:Panel ID="pnlError" runat="server">
    <table style="border: thin solid #FF0000">
        <tr>
            <td><font color="red"><asp:Literal ID="litErrorMessage" runat="server"></asp:Literal></font></td>
        </tr>
    </table>
    <br />
</asp:Panel>

<asp:Panel ID="pnlInfo" runat="server">
    <table style="border: thin solid #00FF00">
        <tr>
            <td><font color="#00FF00"><asp:Literal ID="litInfoMessage" runat="server"></asp:Literal></font></td>
        </tr>
    </table>
    <br />
</asp:Panel>

<asp:GridView ID="grdCustomers" DataKeyNames="Id" runat="server" AutoGenerateColumns="False"
    CellPadding="4" ForeColor="#333333" GridLines="None" Width="573px">
    <RowStyle BackColor="#EFF3FB" />
    <Columns>
        <asp:BoundField DataField="Name" HeaderText="Name" />
        <asp:BoundField DataField="Email" HeaderText="Email" />
        <asp:HyperLinkField DataNavigateUrlFields="Id" 
            DataNavigateUrlFormatString="CustomerDetail.aspx?CustomerAction=Detail&CustomerId={0}" 
            Text="Edit" />
        <asp:TemplateField ShowHeader="False">
            <ItemTemplate>
				<asp:LinkButton ID="lnkDelete" runat="server" CausesValidation="False" CommandArgument='<%#Eval("Id") %>' CommandName="DeleteCustomer" Text="Delete" OnClientClick="return confirm('Are you sure you want to delete this customer?');"></asp:LinkButton>
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
    <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
    <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
    <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
    <EditRowStyle BackColor="#2461BF" />
    <AlternatingRowStyle BackColor="White" />
</asp:GridView>
<br />
<asp:Button ID="btnNewCustomer" runat="server" Text="Add Customer" />
