﻿Imports Microsoft.VisualBasic

Public Class Menu

    Private _folder As String
    Private _url As String
    Private _name As String
    Private _subMenu As List(Of SubMenu)

    Public Sub New(ByVal folder As String, ByVal name As String, ByVal url As String)
        _folder = folder
        _name = name
        _url = url
        _subMenu = New List(Of SubMenu)
    End Sub

    Public ReadOnly Property Folder() As String
        Get
            Return _folder
        End Get
    End Property

    Public ReadOnly Property Name() As String
        Get
            Return _name
        End Get
    End Property

    Public ReadOnly Property URL() As String
        Get
            Return _url
        End Get
    End Property

    Public Property SubMenu() As List(Of SubMenu)
        Get
            Return _subMenu
        End Get
        Set(ByVal value As List(Of SubMenu))
            _subMenu = value
        End Set
    End Property

End Class
