﻿<%@ Page Language="VB" MasterPageFile="~/MasterPage.master" AutoEventWireup="false" CodeFile="OrderList.aspx.vb" Inherits="OrderList" title="Order List" %>
<asp:Content ID="Content1" ContentPlaceHolderID="MainContent" Runat="Server">

<h2>Manage Orders</h2>

<asp:Panel ID="pnlError" runat="server">
    <table style="border: thin solid #FF0000">
        <tr>
            <td><font color="red"><asp:Literal ID="litErrorMessage" runat="server"></asp:Literal></font></td>
        </tr>
    </table>
    <br />
</asp:Panel>

<asp:Panel ID="pnlInfo" runat="server">
    <table style="border: thin solid #00FF00">
        <tr>
            <td><font color="#00FF00"><asp:Literal ID="litInfoMessage" runat="server"></asp:Literal></font></td>
        </tr>
    </table>
    <br />
</asp:Panel>

<asp:DropDownList ID="ddlOrderStatus" AutoPostBack="true" runat="server">
    <asp:ListItem Value="0">Placed</asp:ListItem>
    <asp:ListItem Value="1">Shipped</asp:ListItem>
    <asp:ListItem Value="2">Cancelled</asp:ListItem>
</asp:DropDownList>

    <br />

<asp:GridView ID="grdOrders" runat="server" AutoGenerateColumns="False" 
        CellPadding="4" ForeColor="#333333" GridLines="None">
    <RowStyle BackColor="#EFF3FB" />
    <Columns>
        <asp:BoundField DataField="OrderDate" DataFormatString="{0:d}" 
            HeaderText="Order Date" />
        <asp:TemplateField HeaderText="Customer">            
            <ItemTemplate>
                <%#Eval("Customer.Name")%>
            </ItemTemplate>
        </asp:TemplateField>        
         <asp:HyperLinkField DataNavigateUrlFields="Id" 
            DataNavigateUrlFormatString="OrderDetail.aspx?OrderId={0}" 
            Text="View" />        
    </Columns>
    <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
    <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
    <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
    <EditRowStyle BackColor="#2461BF" />
    <AlternatingRowStyle BackColor="White" />
    </asp:GridView>


</asp:Content>

