﻿<%@ Control Language="VB" AutoEventWireup="false" CodeFile="ProductList.ascx.vb" Inherits="UserControls_Product_ProductList" %>

<asp:Panel ID="pnlError" runat="server">
    <table style="border: thin solid #FF0000">
        <tr>
            <td><font color="red"><asp:Literal ID="litErrorMessage" runat="server"></asp:Literal></font></td>
        </tr>
    </table>
    <br />
</asp:Panel>

<asp:Panel ID="pnlInfo" runat="server">
    <table style="border: thin solid #00FF00">
        <tr>
            <td><font color="#00FF00"><asp:Literal ID="litInfoMessage" runat="server"></asp:Literal></font></td>
        </tr>
    </table>
    <br />
</asp:Panel>

<asp:GridView ID="grdProducts" runat="server" AutoGenerateColumns="False" 
    CellPadding="4" ForeColor="#333333" GridLines="None">
    <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
    <RowStyle BackColor="#EFF3FB" />
    <Columns>
        <asp:BoundField DataField="Name" HeaderText="Name" />
        <asp:BoundField DataField="Price" DataFormatString="{0:c}" HeaderText="Price" />
        <asp:BoundField DataField="Stock" HeaderText="Stock" />
        <asp:HyperLinkField DataNavigateUrlFields="Id" Text="Edit" 
            DataNavigateUrlFormatString="ProductDetail.aspx?Action=Detail&amp;ProductId={0}" />
        <asp:TemplateField ShowHeader="False">
            <ItemTemplate>
				<asp:LinkButton ID="lnkDelete" runat="server" CausesValidation="False" CommandArgument='<%#Eval("Id") %>' CommandName="DeleteProduct" Text="Delete" OnClientClick="return confirm('Are you sure you want to delete this product?');"></asp:LinkButton>
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
    <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
    <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
    <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
    <EditRowStyle BackColor="#2461BF" />
    <AlternatingRowStyle BackColor="White" />
</asp:GridView>
<br />
<asp:Button ID="btnAddProduct" runat="server" Text="Add Product" />